pandoc-1.11.1: Conversion between markup formats

Portability | portable
Stability | alpha
Maintainer | John MacFarlane <jgm@berkeley.edu>
Safe Haskell | None

Text.Pandoc.Readers.LaTeX

Description

Conversion of LaTeX to `Pandoc` document.

Synopsis

- readLaTeX :: ReaderOptions -> String -> Pandoc
- rawLaTeXInline :: Parser [Char] ParserState Inline
- rawLaTeXBlock :: Parser [Char] ParserState String
- handleIncludes :: String -> IO String

# Documentation

readLaTeX

Arguments

:: ReaderOptions | Reader options
-> String | String to parse (assumes `'\n'` line endings)
-> Pandoc |

Parse LaTeX from string and return `Pandoc` document.

rawLaTeXInline :: Parser [Char] ParserState Inline

rawLaTeXBlock :: Parser [Char] ParserState String

handleIncludes :: String -> IO String

Replace include commands with file contents.